> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/get-started.md).

# Get started

- [Select a platform to integrate your Xamarin application](https://docs.apryse.com/xamarin/get-started/get-started.md): Enhance your Android, iOS, and Windows apps with efficient document processing using Xamarin.Android, Xamarin.iOS, and Xamarin.Forms. Fast, reliable, and accurate solutions at your fingertips. The Apr
- [Xamarin.Android](https://docs.apryse.com/xamarin/get-started/xamarin-android.md)
- [Step 1: Integrate Apryse SDK for Xamarin.Android](https://docs.apryse.com/xamarin/get-started/xamarin-android/integrate-android.md): Integrate a free trial of Apryse Xamarin SDK into your Xamarin.Android app effortlessly. Follow simple steps for automatic Nuget integration or manual installation. Get unlimited trial usage and suppo
- [Step 2: View a document in Xamarin.Android](https://docs.apryse.com/xamarin/get-started/xamarin-android/view-android.md): Create a new Visual Studio Xamarin.Android project with Single View App, add Android permissions for DocumentActivity, and customize your document viewer for optimal performance. Follow Android best p
- [Step 3: Customize Xamarin.Android document viewer](https://docs.apryse.com/xamarin/get-started/xamarin-android/customize-android.md): Learn how to customize a document viewer in Xamarin.Android with Apryse. Customize appearance, functionality, annotations, and more using open-source tools. Click to optimize your app now! The Apryse
- [Xamarin.iOS](https://docs.apryse.com/xamarin/get-started/xamarin-ios.md)
- [Step 1: Integrate Apryse SDK for Xamarin.iOS](https://docs.apryse.com/xamarin/get-started/xamarin-ios/integrate-ios.md): Integrate a free trial of Apryse Xamarin SDK into your Xamarin.iOS app effortlessly. Follow our guide for step-by-step instructions and enjoy unlimited trial usage with support from solution engineers
- [Step 2: View a document in Xamarin.iOS](https://docs.apryse.com/xamarin/get-started/xamarin-ios/view-ios.md): Learn how to create a new Visual Studio iOS App project with Single View App and set up a NavigationController in ViewController.cs. Run your app in debug mode for a seamless experience. The Apryse Xa
- [Step 3: Customize Xamarin.iOS document viewer](https://docs.apryse.com/xamarin/get-started/xamarin-ios/customize-ios.md): Learn how to customize Xamarin.iOS with Apryse for your app's document viewer, annotation interactions, and individual controls. Enhance your app's functionality now! The Apryse Xamarin SDK streamline
- [Integrate Apryse SDK into your Xamarin.Forms application](https://docs.apryse.com/xamarin/get-started/forms.md): Learn how to integrate a free trial of the Apryse SDK into your Xamarin.Forms app. Get step-by-step instructions, project structure insights, and customization tips. Start your trial today! The Apryse
- [Download Xamarin library](https://docs.apryse.com/xamarin/get-started/download.md): Discover the best tips for creating an effective SEO meta description. Learn how to craft compelling descriptions that drive clicks and improve your website's visibility in search results. The Apryse
- [Xamarin Mobile SDK Samples](https://docs.apryse.com/xamarin/get-started/samples.md)
- [AddImage](https://docs.apryse.com/xamarin/get-started/samples/addimagetest.md): Sample C# code to use Apryse SDK for inserting various raster image formats (e.g. TIFF, JPEG, JPEG2000, JBIG2, GIF, PNG, BMP, etc.) into a PDF document.
- [Annotation](https://docs.apryse.com/xamarin/get-started/samples/annotationtest.md): Sample C# code to use Apryse SDK to add or edit PDF annotations. Link, stamp, file attachment, sound, text, free-text, line, circle, square, polygon, polyline, highlight, squiggly, caret, ink
- [Bookmarks](https://docs.apryse.com/xamarin/get-started/samples/bookmarktest.md): Sample C# code to use Apryse SDK for programmatically reading and editing existing outline items, and for creating new PDF bookmarks using the high-level API.
- [ContentReplacer](https://docs.apryse.com/xamarin/get-started/samples/contentreplacertest.md): Sample C# code to use Apryse SDK for searching and replacing text strings and images inside existing PDF files (e.g. business cards and other PDF templates). Unlike PDF forms, the ContentReplacer work
- [DigitalSignatures](https://docs.apryse.com/xamarin/get-started/samples/digitalsignaturestest.md): Sample C# code to use Apryse SDK's high-level digital signature API for digitally signing and/or certifying PDF files.
- [ElementBuilder](https://docs.apryse.com/xamarin/get-started/samples/elementbuildertest.md): Sample C# code to use Apryse SDK's page writing API to generate new pages, embed fonts & images, and copy graphical elements from one page to another.
- [ElementEdit](https://docs.apryse.com/xamarin/get-started/samples/elementedittest.md): Here is a complete PDF and DOCX editing guide using C#. Modify properties, edit text, bookmarks,annotation and lot more using COS API
- [ElementReader](https://docs.apryse.com/xamarin/get-started/samples/elementreadertest.md): Sample C# code for using Apryse Xamarin SDK to traverse the page display list using ElementReader.
- [ElementReaderAdv](https://docs.apryse.com/xamarin/get-started/samples/elementreaderadvtest.md): Sample C# code for using Apryse Xamarin SDK to extract text, paths, and images from a PDF. The sample also shows how to do color conversion, image normalization, and process changes in the graphics st
- [Encryption](https://docs.apryse.com/xamarin/get-started/samples/enctest.md): Learn how to encrypt and decrypt PDF files in Apryse SDK.  It includes samples to encrypt and decrypt PDFs using C#
- [FDF](https://docs.apryse.com/xamarin/get-started/samples/fdftest.md): Sample C# code for using Apryse SDK to programmatically merge forms data with the PDF in order to fill forms, or to extract form field data from the PDF. Apryse SDK has full support for Forms Data For
- [ImageExtract](https://docs.apryse.com/xamarin/get-started/samples/imageextracttest.md): Here is a sample showcasing how to extract image from pdf using C#. Run the sample with Apryse SDK free trial.
- [Imposition](https://docs.apryse.com/xamarin/get-started/samples/impositiontest.md): Sample C# code for using Apryse SDK to impose (combine) multiple PDF pages. Page imposition can be used to arrange/order pages prior to printing or for document assembly (assemble a 'master' page from
- [InteractiveForms](https://docs.apryse.com/xamarin/get-started/samples/interactiveformstest.md): Sample C# code for using Apryse SDK with interactive forms (also known as AcroForms). Capabilities include programatically creating new fields and widget annotations, form filling, modifying existing
- [JBIGTest](https://docs.apryse.com/xamarin/get-started/samples/jbig2test.md): Sample C# code for using Apryse SDK to recompress bitonal (black and white) images in existing PDF documents using JBIG2 compression (lossless or lossy). The sample is intended to show how to specify
- [LogicalStructure](https://docs.apryse.com/xamarin/get-started/samples/logicalstructuretest.md): Sample C# code for using Apryse SDK to explore the logical structure and content of a tagged PDF file, then dumps the information to the console window. In tagged PDF files, StructTree acts as a centr
- [OfficeToPDF](https://docs.apryse.com/xamarin/get-started/samples/officetopdftest.md): Sample C# code for using Apryse SDK to convert Office documents to PDF (including Word, Excel, PowerPoint and Publisher) without needing any external dependencies or MS Office licenses.
- [Optimizer](https://docs.apryse.com/xamarin/get-started/samples/optimizertest.md): This guide will walk you thorugh how to compress PDF file using C#. WebViewer makes it easy to reduce images, Unembed fonts, Remove unused objects with C#
- [PageLabels](https://docs.apryse.com/xamarin/get-started/samples/pagelabelstest.md): Sample C# code for using Apryse SDK to work with PDF page labels. PDF page labels can be used to describe a page, which is used to allow for non-sequential page numbering or the addition of arbitrary
- [Pattern](https://docs.apryse.com/xamarin/get-started/samples/patterntest.md): Sample C# code for using Apryse SDK to create various patterns and shadings in PDF files.
- [PDF/A](https://docs.apryse.com/xamarin/get-started/samples/pdfatest.md): Convert PDF to PDF/A format using C#. All you need is full API enabled in WebViewer to validare pdf/a js. it supports all versions of PDF/A
- [PDFDocMemory](https://docs.apryse.com/xamarin/get-started/samples/pdfdocmemorytest.md): Sample C# code for using Apryse SDK to read/write a PDF document from/to memory buffer. This is useful for applications that work with dynamic PDFdocuments that don't need to be saved/read from a disk
- [PDFDraw](https://docs.apryse.com/xamarin/get-started/samples/pdfdrawtest.md): Learn to convert pdf to image format using WebViewer or programatically using code without WebViewer UI
- [PDFLayers](https://docs.apryse.com/xamarin/get-started/samples/pdflayerstest.md): Sample C# code to use Apryse SDK for creating and manipulating PDF layers (also known as Optional Content Groups - OCGs). These samples demonstrate how to create and extract layers, as well as to sele
- [PDFPackage](https://docs.apryse.com/xamarin/get-started/samples/pdfpackagetest.md): Sample C# code to use Apryse SDK for creating, extracting, and manipulating PDF packages (also known as PDF portfolios).
- [PDFPage](https://docs.apryse.com/xamarin/get-started/samples/pdfpagetest.md): Sample C# code for using Apryse SDK to copy pages from one document to another, delete and rearrange pages, and use ImportPages() method for very efficient copy and merge operations.
- [PDFRedact](https://docs.apryse.com/xamarin/get-started/samples/pdfredacttest.md): Sample C# code for using Apryse SDK to remove potentially sensitive content within PDF documents. Using 'pdftron.PDF.Redactor' makes sure that if a portion of an image, text, or vector graphics is con
- [Rect](https://docs.apryse.com/xamarin/get-started/samples/recttest.md): Sample C# code for using Apryse SDK to change a page's MediaBox using Rect class.
- [SDF](https://docs.apryse.com/xamarin/get-started/samples/sdftest.md): Sample C# code to edit an existing PDF document at the object level by using the Apryse SDK Cos/SDF low-level API.
- [Stamper](https://docs.apryse.com/xamarin/get-started/samples/stampertest.md): Sample C# code for using Apryse SDK to programmatically stamp PDF pages with text, images, or with other PDF pages.
- [TextExtract](https://docs.apryse.com/xamarin/get-started/samples/textextracttest.md): Sample C# code for Xamarin using Apryse SDK to read a PDF (parse and extract text).
- [TextSearch](https://docs.apryse.com/xamarin/get-started/samples/textsearchtest.md): Sample C# code for using Apryse SDK to search text on PDF pages using regular expressions. The TextSearch utility class builds on functionality available in TextExtractor to simplify most common searc
- [U3D](https://docs.apryse.com/xamarin/get-started/samples/u3dtest.md): Sample C# code for using Apryse SDK to embed U3D content (3 dimensional models) in PDF files.
- [UndoRedoTest](https://docs.apryse.com/xamarin/get-started/samples/undoredotest.md): Sample C# code for using Apryse SDK to take snapshots of edits and move between them using the API.
- [UnicodeWrite](https://docs.apryse.com/xamarin/get-started/samples/unicodewritetest.md): Sample C# code for using Apryse SDK to create Unicode text and embed composite fonts in PDF files.
- [FAQ](https://docs.apryse.com/xamarin/get-started/faq.md)
- [Apryse for Xamarin system requirements](https://docs.apryse.com/xamarin/get-started/faq/system-requirements.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [Why do I need to enable vectorDrawables support for my app?](https://docs.apryse.com/xamarin/get-started/faq/vector-drawables.md): In order to support vector drawables on devices running Android versions lower than Android 5.0 (API level 21), you will need set vectorDrawables.usesSupportLibrary...
- [Does my app need cleartext network traffic support?](https://docs.apryse.com/xamarin/get-started/faq/uses-clear-text-traffic.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [Why do I need to enable largeHeap for my app?](https://docs.apryse.com/xamarin/get-started/faq/large-heap.md): PDF document rendering can be memory intensive and this flag is recommended to ensure that your application has enough heap memory allocated.
- [Apryse full or standard? Which version is for me?](https://docs.apryse.com/xamarin/get-started/faq/full-vs-standard.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [Add license key](https://docs.apryse.com/xamarin/get-started/faq/add-license.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [java.exe error after updating to support library 28](https://docs.apryse.com/xamarin/get-started/faq/multi-dex-issue.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [Reduce memory consumption](https://docs.apryse.com/xamarin/get-started/faq/pdfviewctrl-min-memory.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop
- [Building ABI-Specific APKs](https://docs.apryse.com/xamarin/get-started/faq/faq-split-apk.md): World's #1 PDF SDK Library for Web, Mobile, Server, Desktop


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/get-started.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
